Subject: [netmod] interim net mod WG meeting minutes

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 8 Oct 2014 09:02:52 -0700

[07:00] == Thomas__ [90318403@gateway/web/freenode/ip.144.49.132.3] has joined #netmod-wg
[07:00] -ChanServ- [#IETF] Welcome to the Internet Engineering Task Force channel on FreeNode IRC Network - the largest open international community of network designers, operators, vendors, and researchers concerned with the evolution of the Internet architecture and the smooth operation of the Internet.
[07:01] <kwatsen> #chair Thomas__ schoenw
[07:01] <meetbot> Current chairs: Thomas__ kwatsen schoenw
[07:01] == Benoit__ [ad26d10a@gateway/web/freenode/ip.173.38.209.10] has joined #netmod-wg
[07:07] <kwatsen> #info Tom goes over agenda
[07:08] == Clyde [ad24f0a7@gateway/web/freenode/ip.173.36.240.167] has joined #netmod-wg
[07:08] == Dana_ [4086de3d@gateway/web/freenode/ip.64.134.222.61] has joined #netmod-wg
[07:08] <kwatsen> ##topic ACL Model (presented by Dean B.)
[07:08] <kwatsen> #undo
[07:08] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa47bd0>
[07:08] <kwatsen> #topic ACL Model (presented by Dean B.)
[07:08] == meetbot changed the topic of #netmod-wg to: ACL Model (presented by Dean B.)
[07:08] <Thomas__> passing the ball to Dean B
[07:09] == jft [adb11655@gateway/web/freenode/ip.173.177.22.85] has joined #netmod-wg
[07:12] <schoenw> https://tools.ietf.org/html/draft-bogdanovic-netmod-acl-model-02
[07:13] <Thomas__> http://tools.ietf.org/html/draft-bogdanovic-netmod-acl-model-02
[07:13] <Thomas__> draft is updated at that URL
[07:16] <kwatsen> #link https://tools.ietf.org/html/draft-bogdanovic-netmod-acl-model-02
[07:17] <kwatsen> note: only msgs preceded by a '#' are capture by meetbot
[07:17] <schoenw> if you order by number, how do you insert - does this cause renumbering?
[07:18] <kwatsen> #info Blair asks if there is a pattern to follow
[07:18] <kwatsen> #undo
[07:18] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa47ed0>
[07:18] <kwatsen> #info Blair asks if there is a pattern to follow for key/value mapping (hashmap)
[07:19] <Thomas__> this was discussed during last week's Yangathon @ ODL Dev Summit. Others are encountering this issue
[07:20] <schoenw> Are we discussing ACL or hashmaps?
[07:21] <Thomas__> please post this issue to the list to record the need to add this when we hack Yang 2.0
[07:21] <Thomas__> ACL but the issue pertains to modeling hash maps
[07:21] <Thomas__> (similar to what was discussed on the list last week)
[07:22] <schoenw> I do not see the relationship to hash maps. ACLs are an ordered list.
[07:23] <kwatsen> is was also wondering about that
[07:23] <Thomas__> lada asks you have configuration and running state in the same tree. isn't there a protocol that allows for configuration outside of netconf. how do you plan to deal with the case where there are two writers?
[07:23] <kwatsen> #info lada asks you have configuration and running state in the same tree. isn't there a protocol that allows for configuration outside of netconf. how do you plan to deal with the case where there are two writers?
[07:23] <Thomas__> the issue is around the internal mapping of the ordered list -> hash map internally.
[07:25] <Thomas__> benoit asks: where/how are these extra extensions to be developed?
[07:26] <kwatsen> #info benoit asks: where/how are these extra extensions to be developed?
[07:26] <kwatsen> remember to use #info for meetbot
[07:26] <Thomas__> yes sorry! *)
[07:26] <Thomas__> #info Tom learns how to use IRC again. *)
[07:27] == Dean__ [4281f10d@gateway/web/freenode/ip.66.129.241.13] has joined #netmod-wg
[07:28] <kwatsen> #info Dana says that L2 is an based model, but mpls might be good for an example
[07:28] <Thomas__> #info Dean stresses that this is an early example of how to extend things in standard ways
[07:28] <kwatsen> #info to show how is can be extended nicely in the future
[07:29] <kwatsen> #info [two comments up] s/an based model/in base model/
[07:32] <kwatsen> #info Kiran asks when this can move forward to a WG chartered item
[07:32] <kwatsen> #info all authors agreed that they felt it was ready
[07:32] <kwatsen> #info Tom says he'll take it to the list
[07:33] <kwatsen> #undo
[07:33] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa47f50>
[07:33] <kwatsen> #info discussion about if its ready now
[07:33] <kwatsen> #info no objections raised
[07:33] <Clyde> #link http://tools.ietf.org/html/draft-wildes-netmod-syslog-model-03
[07:33] <kwatsen> #info Tom says he'll take it to the list
[07:34] <kwatsen> #undo
[07:34] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa47a10>
[07:34] <kwatsen> #topic syslog
[07:34] == meetbot changed the topic of #netmod-wg to: syslog
[07:34] <Clyde> #link http://tools.ietf.org/html/draft-wildes-netmod-syslog-model-03
[07:44] <Thomas__> #info ill issue a call for adoption of the syslog model shortly
[07:44] <kwatsen> who asked the question?
[07:44] <Benoit__> I think Alex Clemm
[07:44] <Benoit__> yes Alex
[07:44] <kwatsen> Call-in User_7
[07:45] <Thomas__> yes that is Alex talking now 
[07:45] <kwatsen> #info Call-in User_7 (Alex Clemm?) asks about support for structured data
[07:50] <kwatsen> #info kwatsen asks and is assured that other encodings beyond structured-data can be added in the future
[07:50] <Thomas__> #info github link for ACL model discussed earlier: https://github.com/YangModels/yang/blob/master/experimental/ietf/ACL-MODEL/draft-bogdanovic-netmod-acl-model-02.txt
[07:50] <Thomas__> this is just the model - not in draft format.
[07:53] <Thomas__> #info calls for adoption of the draft as a NETMOD WG draft
[07:53] <Benoit__> From http://trac.tools.ietf.org/area/ops/trac/wiki/yang-doctors-review-history, Jürgen is the YANG doctor for syslog. Jürgen, have you had the chance to review this document? What do you think?
[07:54] <Thomas__> #info Latest SYSLOG model posted too: https://github.com/YangModels/yang/blob/master/experimental/ietf/SYSLOG-MODEL/draft-wildes-netmod-syslog-model-03.txt
[07:55] <schoenw> I have not read the latest version but I appreciate the work that apparently has already gone into this new revision. If there is a call for adoption, I will likly push this up on my priority list.
[07:55] <kwatsen> #info confirmed Call-in User_7 is Alex
[07:56] <Thomas__> #info - lads asks if this should be in net mod if syslog is closed
[07:56] <kwatsen> #info Lada questions if another WG should do this work.  Benoit otes that syslog WG is concluded.
[07:57] <kwatsen> #undo
[07:57] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa55dd0>
[07:57] <kwatsen> #info Lada questions if another WG should do this work.  Benoit notes that syslog WG is concluded.
[07:57] <Thomas__> #info - benoit is ok to do these in net mod if there are no other homes for this
[08:00] <kwatsen> #info Benoit points out that there are requests for many models for which there are no homes for, and creation of a WG per model wouldn't scale
[08:00] <kwatsen> #undo
[08:00] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa55ad0>
[08:00] <kwatsen> #info Benoit points out that there are requests for many models for which there are no homes, and creation of a WG per model wouldn't scale
[08:01] <kwatsen> #info one suggestion is to have one WG focused on models and another on the language
[08:03] <schoenw> We had this discussion N times before, I suggest we try to get data models done and deal with scalability issues once we reach the boundaries
[08:03] <Thomas__> i agree - we've gone a bit sideways here...
[08:04] <kwatsen> #info schoenw recommends that we get data models done and deal with scalability issues once we reach the boundaries
[08:04] <kwatsen> #info Thomas__ agrees
[08:06] <kwatsen> #info Thomas__ recommends we incubate more Yang Doctors as a means to scale modeling work
[08:06] <Benoit__> #info: Kent, I have increase the number of YANG doctors recently.
[08:06] <Benoit__> https://www.ietf.org/iesg/directorate/yang-doctors.html
[08:07] <Thomas__> #info I asked for comments to accept or not this draft as a WG draft
[08:07] <Thomas__> kent commented that he is ok to accept this but that Jeff Haas needs to review. 
[08:07] <Thomas__> clyde - Ron Bonica did review but didn't suggest any changes.
[08:08] <kwatsen> #action Thomas__ to send mail to list asking to move to a chartered item status
[08:08] <kwatsen> #topic Mount Points
[08:08] == meetbot changed the topic of #netmod-wg to: Mount Points
[08:09] <Thomas__> #info ref for draft under discussion http://datatracker.ietf.org/doc/draft-clemm-netmod-mount/
[08:09] <schoenw> I will stop listening now since I need to draw attention to the other meeting I am in
[08:09] <kwatsen> #into @EricVoit notes that this work originates from OpenDaylight Project
[08:10] <kwatsen> #info earlier draft posted a year ago, since then it has been implemented and an updated draft posted
[08:11] <kwatsen> @schoenw, thanks for the heads-up
[08:13] <kwatsen> #info @EricVoit notes that this work originates from OpenDaylight Project
[08:13] <kwatsen> i had a typo before s/into/info
[08:13] <kwatsen> #undo
[08:13] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10aa55710>
[08:14] <Benoit__> #info @EricVoit, and running code in ODL 
[08:28] <kwatsen> #info question regarding impact on device - does if have to implement pub/sub and async notification?
[08:29] <kwatsen> #info Alex explains that there are two roles: mount client and mount server
[08:29] <kwatsen> #info the mount server may support the ability for async notifications
[08:30] <kwatsen> #info Benoit asks if there is an advantage to this approach over existing protocols (VRRP)
[08:34] == Dana_ [4086de3d@gateway/web/freenode/ip.64.134.222.61] has quit [Ping timeout: 246 seconds]
[08:35] <kwatsen> #this is a YANG-specific solution, unknown if other protocols would benefit from being model-aware
[08:44] <Thomas__> this is a yang language thing, not a specific protocol thing (netconf/restconf)
[08:45] <Thomas__> its a usage extension really. sort of a behavioral change.
[08:47] <kwatsen> #info Benoit__ asks if this is really an extension of YANG  (no, it can be implemented with existing Yang 1.0)
[08:48] <kwatsen> #info Balazs questions if the protocol extensions should be brought to the NETCONF WG
[08:49] <kwatsen> #info Alex explains that this can be implemented on top of existing NETCONF.  Extensions (pub/sub) would be in a different draft
[08:49] <kwatsen> #undo
[08:49] <meetbot> Removing item from minutes: <ircmeeting.items.Info object at 0x10a9c2150>
[08:49] <kwatsen> #info Alex explains that this can be implemented on top of existing NETCONF.  NETCONF extensions (pub/sub) would be in a different draft
[08:53] <kwatsen> #info Eric notes that NETCONF is not required.  Other protocols (HTTP) were tried as well
[08:54] <kwatsen> interesting, for HTTP is a data-model (Yang) used for what to HTTP resource(s) mounted?  - yes, if RESTCONF...
[08:55] <kwatsen> typo s/for HTTP is a/for HTTP, if a/
[08:57] <Thomas__> #info - time check. we need to wrap in 3 min...
[08:59] <kwatsen> #info the importance of the problem
[08:59] <kwatsen> #info this seems very app-specific
[09:00] <kwatsen> #info what ODL is doing seems just one way this could be done
[09:01] <kwatsen> #action kwatsen to take this to the list
[09:02] <Thomas__> thanks again Kent for taking notes!
[09:02] == Clyde [ad24f0a7@gateway/web/freenode/ip.173.36.240.167] has quit [Quit: Page closed]